Page MenuHomeLubuntu

System requirements
Open, NormalPublic

Description

According to our configuration we require 8GB free disk and 1GB free RAM:

/etc/calamares/modules/welcome.conf
	requirements:
	    requiredStorage:    8
	    requiredRam:        1

For one, those are the actual requirements. We seem to be of the habit of not publishing any requirements and yet if people are underneath these requirements, they cannot proceed on the installer because those are both requirements:

/etc/calamares/modules/welcome.conf
	    required:
	        - root
	        - storage
	        - ram

So we need to decide to have requirements or not. I vote we have them and publish them clearly but set the installer requirements to only the requirements for the installer, especially considering it's going off of what's free.

Event Timeline

wxl created this task.Oct 25 2018, 5:20 PM
wxl triaged this task as Unbreak Now! priority.
tsimonq2 closed this task as Wontfix.Oct 29 2018, 9:27 AM
tsimonq2 claimed this task.

From our "Taking a new direction" post:

...we will no longer provide minimum system requirements...

If anything, just make it optional, or lower the values. But that's relatively unrelated.

wxl reopened this task as Open.Oct 29 2018, 5:23 PM

Until this is documented in the release notes for 18.10 and the requirements not made so strict (or perhaps not be there at all) for 19.04, this is not resolved.

tsimonq2 renamed this task from system requirements to System requirements.Oct 30 2018, 2:12 PM
tsimonq2 lowered the priority of this task from Unbreak Now! to Normal.Nov 2 2018, 2:36 PM
wxl added a comment.Nov 9 2018, 10:20 PM

18.10 release notes are now updated (rBLOG4691b5d032a9).